org.eclipse.net4j.util.security

## Interface IPasswordCredentialsProvider

- All Superinterfaces:
    ICredentialsProvider
  All Known Subinterfaces:
    IPasswordCredentialsProvider2
  All Known Implementing Classes:
    InteractiveCredentialsProvider, PasswordCredentialsProvider, PasswordCredentialsProvider.Delegating

      public interface IPasswordCredentialsProvider
      extends ICredentialsProvider

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IPasswordCredentialsProvider.Provider` Interface implemented by protocol objects that can supply an `IPasswordCredentialsProvider`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPasswordCredentials` | `getCredentials()`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.ICredentialsProvider

      `isInteractive`

- - ### Method Detail

    - #### getCredentials

          IPasswordCredentials getCredentials()

      Specified by:
        `getCredentials` in interface `ICredentialsProvider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html